BasicGraphDropTargetListener (JGraph v5.12.4.2 API Specification)
Keywords: org.jgraph.plaf.basic.BasicGraphDropTargetListener class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgraph.plaf.basic
Class BasicGraphDropTargetListener

    java.lang.Object
      org.jgraph.plaf.basic.BasicGraphDropTargetListener

All Implemented Interfaces:
  ActionListener, DropTargetListener, EventListener, UIResource

Direct Known Subclasses:
  BasicGraphUI.GraphDropTargetListener

public class BasicGraphDropTargetListener
extends Object
implements DropTargetListener, UIResource, ActionListener

Constructor Summary
`BasicGraphDropTargetListener()` construct a DropTargetAutoScroller

Method Summary
`void` | `actionPerformed(ActionEvent e)` The timer fired, perform autoscroll if the pointer is within the autoscroll region.
`void` | `dragEnter(DropTargetDragEvent e)`
`void` | `dragExit(DropTargetEvent e)`
`void` | `dragOver(DropTargetDragEvent e)`
`void` | `drop(DropTargetDropEvent e)`
`void` | `dropActionChanged(DropTargetDragEvent e)`
`protected void` | `restoreComponentState(JComponent c)` called to restore the state of a component in case a drop is not performed.
`protected void` | `restoreComponentStateForDrop(JComponent c)` called to restore the state of a component in case a drop is performed.
`protected void` | `saveComponentState(JComponent c)` called to save the state of a component in case it needs to be restored because a drop is not performed.
`protected void` | `updateInsertionLocation(JComponent c, Point p)` called to set the insertion location to match the current mouse pointer coordinates.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicGraphDropTargetListener

    public BasicGraphDropTargetListener()

  construct a DropTargetAutoScroller

Method Detail

### saveComponentState

    protected void saveComponentState(JComponent c)

  called to save the state of a component in case it needs to be restored because a drop is not performed.

### restoreComponentState

    protected void restoreComponentState(JComponent c)

  called to restore the state of a component in case a drop is not performed.

### restoreComponentStateForDrop

    protected void restoreComponentStateForDrop(JComponent c)

  called to restore the state of a component in case a drop is performed.

### updateInsertionLocation

    protected void updateInsertionLocation(JComponent c,
                                           Point p)

  called to set the insertion location to match the current mouse pointer coordinates.

### actionPerformed

    public void actionPerformed(ActionEvent e)

  The timer fired, perform autoscroll if the pointer is within the autoscroll region.

  Specified by:
    `actionPerformed` in interface `ActionListener`
  Parameters:
    `e` - the `ActionEvent`

### dragEnter

    public void dragEnter(DropTargetDragEvent e)

  Specified by:
    `dragEnter` in interface `DropTargetListener`

### dragOver

    public void dragOver(DropTargetDragEvent e)

  Specified by:
    `dragOver` in interface `DropTargetListener`

### dragExit

    public void dragExit(DropTargetEvent e)

  Specified by:
    `dragExit` in interface `DropTargetListener`

### drop

    public void drop(DropTargetDropEvent e)

  Specified by:
    `drop` in interface `DropTargetListener`

### dropActionChanged

    public void dropActionChanged(DropTargetDragEvent e)

  Specified by:
    `dropActionChanged` in interface `DropTargetListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 2001-2008 Gaudenz Alder. All rights reserved.